> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Trust Center document

> Updates a specific document on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json patch /trust-centers/{slugId}/resources/{resourceId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/resources/{resourceId}:
    patch:
      tags:
        - Trust Centers
      summary: Update Trust Center document
      description: Updates a specific document on a Trust Center.
      operationId: UpdateTrustCenterResource
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: resourceId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditTrustCenterResourceInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterResource'
              examples:
                Example 1:
                  value:
                    id: 4b1e7a8c3d9f6a2b5c8d0e3f
                    title: Resource title
                    mimeType: application/pdf
                    fileName: resource.pdf
                    creationDate: '2020-01-01T00:00:00.000Z'
                    updatedDate: '2020-01-01T00:00:00.000Z'
                    isPublic: true
                    description: Resource description
      security:
        - bearerAuth: []
components:
  schemas:
    EditTrustCenterResourceInput:
      properties:
        title:
          type: string
          description: Title of the Trust Center document.
        isPublic:
          type: boolean
          description: Boolean determining whether the document is publicly available.
        description:
          type: string
          description: Description of the uploaded document.
      type: object
      additionalProperties: false
    TrustCenterResource:
      properties:
        id:
          type: string
          description: Unique identifier for the document.
        fileName:
          type: string
          nullable: true
          description: The file name of the document.
        title:
          type: string
          description: The document's title.
        description:
          type: string
          nullable: true
          description: The document's description
        mimeType:
          type: string
          description: Mime type of the document.
        creationDate:
          type: string
          format: date-time
          description: Date of when the document was uploaded.
        updatedDate:
          type: string
          format: date-time
          description: Date when the document was last updated.
        isPublic:
          type: boolean
          description: Boolean determining whether the document is publicly available.
      required:
        - id
        - fileName
        - title
        - description
        - mimeType
        - creationDate
        - updatedDate
        - isPublic
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````